
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android中listView的底部拖拉翻页的实现 / iVAN</title>

    <meta name="description" content="Android中listView的底部拖拉翻页的实现 http://dengyin2000.iteye.com/blog/1187823 android-pulltorefresh组件.  https://github.com/johannilsson/android-pulltorefresh  在twitter微博中的, 往下拉列表的话, 顶部会自动load, 而且有反弹的效果,非常cool. 但是它的自动load顶部的内部, 我现在需要拖拉listview到最后的时候load.这个组件不知道方向的选择, 所以自己就动手改了下,实现从底部loa">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android中listView的底部拖拉翻页的实现</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><a href="http://dengyin2000.iteye.com/blog/1187823" rel="external nofollow noreferrer">http://dengyin2000.iteye.com/blog/1187823</a></p>
<p>android-pulltorefresh组件。 </p>
<p><a href="https://github.com/johannilsson/android-pulltorefresh" rel="external nofollow noreferrer">https://github.com/johannilsson/android-pulltorefresh</a> </p>
<p>在twitter微博中的， 往下拉列表的话， 顶部会自动load， 而且有反弹的效果，非常cool。 但是它的自动load顶部的内部， 我现在需要拖拉listview到最后的时候load。这个组件不知道方向的选择， 所以自己就动手改了下，实现从底部load。 （今天发现新浪微博也实现了同样的功能。）  。</p>
<p>Java代码  </p>
<ol>
<li>package com.markupartist.android.widget;<br />
   </li>
<li>  </li>
<li>  </li>
<li>import java.lang.reflect.InvocationTargetException;<br />
   </li>
<li>import java.lang.reflect.Method;<br />
   </li>
<li>  </li>
<li>import android.content.Context;<br />
   </li>
<li>import android.util.AttributeSet;<br />
   </li>
<li>import android.util.Log;<br />
   </li>
<li>import android.view.LayoutInflater;<br />
   </li>
<li>import android.view.MotionEvent;<br />
   </li>
<li>import android.view.View;<br />
   </li>
<li>import android.view.ViewGroup;<br />
   </li>
<li>import android.view.animation.LinearInterpolator;<br />
   </li>
<li>import android.view.animation.RotateAnimation;<br />
   </li>
<li>import android.widget.AbsListView;<br />
   </li>
<li>import android.widget.ImageView;<br />
   </li>
<li>import android.widget.RelativeLayout;<br />
   </li>
<li>import android.widget.ListAdapter;<br />
   </li>
<li>import android.widget.ListView;<br />
   </li>
<li>import android.widget.ProgressBar;<br />
   </li>
<li>import android.widget.TextView;<br />
   </li>
<li>import android.widget.AbsListView.OnScrollListener;<br />
   </li>
<li>  </li>
<li>import com.markupartist.android.widget.pulltorefresh.R;<br />
   </li>
<li>  </li>
<li>public class PullToRefreshListView extends ListView implements OnScrollListener {<br />
   </li>
<li>  </li>
<li>    private static final int TAP_TO_REFRESH = 1;<br />
   </li>
<li>    private static final int PULL_TO_REFRESH = 2;<br />
   </li>
<li>    private static final int RELEASE_TO_REFRESH = 3;<br />
   </li>
<li>    private static final int REFRESHING = 4;<br />
   </li>
<li>  </li>
<li>    private static final String TAG = "PullToRefreshListView";<br />
   </li>
<li>  </li>
<li>    private OnRefreshListener mOnRefreshListener;<br />
   </li>
<li>  </li>
<li>    /**  </li>
<li>     * Listener that will receive notifications every time the list scrolls. </li>
<li>     */  </li>
<li>    private OnScrollListener mOnScrollListener;<br />
   </li>
<li>    private LayoutInflater mInflater;<br />
   </li>
<li>  </li>
<li>    private RelativeLayout mRefreshView;<br />
   </li>
<li>    private TextView mRefreshViewText;<br />
   </li>
<li>    private ImageView mRefreshViewImage;<br />
   </li>
<li>    private ProgressBar mRefreshViewProgress;<br />
   </li>
<li>    private TextView mRefreshViewLastUpdated;<br />
   </li>
<li>  </li>
<li>    private int mCurrentScrollState;<br />
   </li>
<li>    private int mRefreshState;<br />
   </li>
<li>  </li>
<li>    private RotateAnimation mFlipAnimation;<br />
   </li>
<li>    private RotateAnimation mReverseFlipAnimation;<br />
   </li>
<li>  </li>
<li>    private int mRefreshViewHeight;<br />
   </li>
<li>    private int mRefreshOriginalTopPadding;<br />
   </li>
<li>    private int mRefreshOriginalBottomPadding;<br />
   </li>
<li>    private int mLastMotionY;<br />
   </li>
<li>  </li>
<li>    public PullToRefreshListView(Context context) {<br />
   </li>
<li>        super(context);<br />
   </li>
<li>        init(context);   </li>
<li>    }   </li>
<li>  </li>
<li>    public PullToRefreshListView(Context context, AttributeSet attrs) {<br />
   </li>
<li>        super(context, attrs);<br />
   </li>
<li>        init(context);   </li>
<li>    }   </li>
<li>  </li>
<li>    public PullToRefreshListView(Context context, AttributeSet attrs, int defStyle) {<br />
   </li>
<li>        super(context, attrs, defStyle);<br />
   </li>
<li>        init(context);   </li>
<li>    }   </li>
<li>  </li>
<li>    private void init(Context context) {<br />
   </li>
<li>        // Load all of the animations we need in code rather than through XML  </li>
<li>        mFlipAnimation = new RotateAnimation(0, -180,<br />
   </li>
<li>                RotateAnimation.RELATIVE_TO_SELF, 0.5f,<br />
   </li>
<li>                RotateAnimation.RELATIVE_TO_SELF, 0.5f);<br />
   </li>
<li>        mFlipAnimation.setInterpolator(new LinearInterpolator());<br />
   </li>
<li>        mFlipAnimation.setDuration(250);<br />
   </li>
<li>        mFlipAnimation.setFillAfter(true);<br />
   </li>
<li>        mReverseFlipAnimation = new RotateAnimation(-180, 0,<br />
   </li>
<li>                RotateAnimation.RELATIVE_TO_SELF, 0.5f,<br />
   </li>
<li>                RotateAnimation.RELATIVE_TO_SELF, 0.5f);<br />
   </li>
<li>        mReverseFlipAnimation.setInterpolator(new LinearInterpolator());<br />
   </li>
<li>        mReverseFlipAnimation.setDuration(250);<br />
   </li>
<li>        mReverseFlipAnimation.setFillAfter(true);<br />
   </li>
<li>  </li>
<li>        mInflater = (LayoutInflater) context.getSystemService(   </li>
<li>                Context.LAYOUT_INFLATER_SERVICE);   </li>
<li>  </li>
<li>        mRefreshView = (RelativeLayout) mInflater.inflate(   </li>
<li>                R.layout.pull_to_refresh_header, this, false);<br />
   </li>
<li>        mRefreshViewText =   </li>
<li>            (TextView) mRefreshView.findViewById(R.id.pull_to_refresh_text);   </li>
<li>        mRefreshViewImage =   </li>
<li>            (ImageView) mRefreshView.findViewById(R.id.pull_to_refresh_image);   </li>
<li>        mRefreshViewProgress =   </li>
<li>            (ProgressBar) mRefreshView.findViewById(R.id.pull_to_refresh_progress);   </li>
<li>        mRefreshViewLastUpdated =   </li>
<li>            (TextView) mRefreshView.findViewById(R.id.pull_to_refresh_updated_at);   </li>
<li>  </li>
<li>        mRefreshViewImage.setMinimumHeight(50);<br />
   </li>
<li>        mRefreshView.setOnClickListener(new OnClickRefreshListener());<br />
   </li>
<li>        mRefreshOriginalTopPadding = mRefreshView.getPaddingTop();   </li>
<li>        mRefreshOriginalBottomPadding = mRefreshView.getPaddingBottom();   </li>
<li>  </li>
<li>        mRefreshState = TAP_TO_REFRESH;   </li>
<li>  </li>
<li>//        addHeaderView(mRefreshView);   </li>
<li>        addFooterView(mRefreshView);   </li>
<li>  </li>
<li>        super.setOnScrollListener(this);<br />
   </li>
<li>  </li>
<li>        measureView(mRefreshView);   </li>
<li>        mRefreshViewHeight = mRefreshView.getMeasuredHeight();   </li>
<li>    }   </li>
<li>  </li>
<li>    @Override  </li>
<li>    protected void onAttachedToWindow() {<br />
   </li>
<li>        //setSelection(1);   </li>
<li>    }   </li>
<li>  </li>
<li>    @Override  </li>
<li>    public void setAdapter(ListAdapter adapter) {<br />
   </li>
<li>        super.setAdapter(adapter);<br />
   </li>
<li>  </li>
<li>        //setSelection(1);   </li>
<li>    }   </li>
<li>  </li>
<li>    /**  </li>
<li>     * Set the listener that will receive notifications every time the list </li>
<li>     * scrolls.  </li>
<li>     *   </li>
<li>     * @param l The scroll listener.   </li>
<li>     */  </li>
<li>    @Override  </li>
<li>    public void setOnScrollListener(AbsListView.OnScrollListener l) {<br />
   </li>
<li>        mOnScrollListener = l;   </li>
<li>    }   </li>
<li>  </li>
<li>    /**  </li>
<li>     * Register a callback to be invoked when this list should be refreshed. </li>
<li>     *   </li>
<li>     * @param onRefreshListener The callback to run. </li>
<li>     */  </li>
<li>    public void setOnRefreshListener(OnRefreshListener onRefreshListener) {<br />
   </li>
<li>        mOnRefreshListener = onRefreshListener;   </li>
<li>    }   </li>
<li>  </li>
<li>    /**  </li>
<li>     * Set a text to represent when the list was last updated.  </li>
<li>     * @param lastUpdated Last updated at.  </li>
<li>     */  </li>
<li>    public void setLastUpdated(CharSequence lastUpdated) {<br />
   </li>
<li>        if (lastUpdated != null) {<br />
   </li>
<li>            mRefreshViewLastUpdated.setVisibility(View.VISIBLE);   </li>
<li>            mRefreshViewLastUpdated.setText(lastUpdated);   </li>
<li>        } else {<br />
   </li>
<li>            mRefreshViewLastUpdated.setVisibility(View.GONE);   </li>
<li>        }   </li>
<li>    }   </li>
<li>  </li>
<li>    @Override  </li>
<li>    public boolean onTouchEvent(MotionEvent event) {<br />
   </li>
<li>        final int y = (int) event.getY();<br />
   </li>
<li>        Log.i("PullToRefreshListView", "Height:" + getMeasuredHeight());<br />
   </li>
<li>        Log.i("PullToRefreshListView", "MotionEvent:" + event.getAction());<br />
   </li>
<li>        Log.i("PullToRefreshListView", "mRefreshState:" + mRefreshState);<br />
   </li>
<li>        Log.i("PullToRefreshListView", "FirstVisiblePosition:" + getFirstVisiblePosition());<br />
   </li>
<li>        Log.i("PullToRefreshListView", "LastVisiblePosition:" + getLastVisiblePosition());<br />
   </li>
<li>        Log.i("PullToRefreshListView", "ChildCount:" + getAdapter().getCount());<br />
   </li>
<li>        Log.i("PullToRefreshListView", "RefreshViewBottom:" + mRefreshView.getBottom());<br />
   </li>
<li>        Log.i("PullToRefreshListView", "RefreshViewTop:" + mRefreshView.getTop());<br />
   </li>
<li>        Log.i("PullToRefreshListView", "mRefreshViewHeight:" + mRefreshViewHeight);<br />
   </li>
<li>        Log.i("PullToRefreshListView", "  ");<br />
   </li>
<li>        Log.i("PullToRefreshListView", "  ");<br />
   </li>
<li>        Log.i("PullToRefreshListView", "  ");<br />
   </li>
<li>  </li>
<li>  </li>
<li>        switch (event.getAction()) {<br />
   </li>
<li>            case MotionEvent.ACTION_UP:<br />
   </li>
<li>  </li>
<li>                if (!isVerticalScrollBarEnabled()) {<br />
   </li>
<li>                    setVerticalScrollBarEnabled(true);<br />
   </li>
<li>                }   </li>
<li>                if (getLastVisiblePosition() == getAdapter().getCount() - 1  </li>
<li>                        &amp;&amp; mRefreshState != REFRESHING) {   </li>
<li>                    if ((<br />
   </li>
<li>                            mRefreshView.getTop() &lt;= getMeasuredHeight() - mRefreshViewHeight)   </li>
<li>                            &amp;&amp; mRefreshState == RELEASE_TO_REFRESH) {   </li>
<li>//                        Log.i("PullToRefreshListView", "Fire...");  </li>
<li>//                        Log.i("PullToRefreshListView", "  ");  </li>
<li>//                        Log.i("PullToRefreshListView", "  ");  </li>
<li>//                        Log.i("PullToRefreshListView", "  ");  </li>
<li>                        // Initiate the refresh  </li>
<li>                        mRefreshState = REFRESHING;   </li>
<li>                        prepareForRefresh();   </li>
<li>                        onRefresh();   </li>
<li>                    } else if (<br />
   </li>
<li>                            mRefreshView.getTop() &gt; getMeasuredHeight() - mRefreshViewHeight) {   </li>
<li>                        // Abort refresh and scroll down below the refresh view  </li>
<li>                        resetHeader();   </li>
<li>                        //setSelection(1);  </li>
<li>//                        Log.v("PPMacbook", "pi:" + (getSelectedItemPosition() - 1));  </li>
<li>//                        setSelectionAfterHeaderView();  </li>
<li>//                        setSelection(getSelectedItemPosition() - 1);  </li>
<li>//                        System.out.println("PPMacbook:" + (getFirstVisiblePosition() - 1));  </li>
<li>                        setSelection((getFirstVisiblePosition() - 1));<br />
   </li>
<li>                    }   </li>
<li>                }   </li>
<li>                break;<br />
   </li>
<li>  </li>
<li>  </li>
<li>            case MotionEvent.ACTION_DOWN:<br />
   </li>
<li>                mLastMotionY = y;   </li>
<li>                break;<br />
   </li>
<li>  </li>
<li>            case MotionEvent.ACTION_MOVE:<br />
   </li>
<li>                applyHeaderPadding(event);   </li>
<li>                break;<br />
   </li>
<li>        }   </li>
<li>        return super.onTouchEvent(event);<br />
   </li>
<li>    }   </li>
<li>  </li>
<li>    private void applyHeaderPadding(MotionEvent ev) {<br />
   </li>
<li>        final int historySize = ev.getHistorySize();<br />
   </li>
<li>  </li>
<li>        // Workaround for getPointerCount() which is unavailable in 1.5  </li>
<li>        // (it's always 1 in 1.5)   </li>
<li>        int pointerCount = 1;<br />
   </li>
<li>        try {<br />
   </li>
<li>            Method method = MotionEvent.class.getMethod("getPointerCount");<br />
   </li>
<li>            pointerCount = (Integer)method.invoke(ev);   </li>
<li>        } catch (NoSuchMethodException e) {<br />
   </li>
<li>            pointerCount = 1;<br />
   </li>
<li>        } catch (IllegalArgumentException e) {<br />
   </li>
<li>            throw e;<br />
   </li>
<li>        } catch (IllegalAccessException e) {<br />
   </li>
<li>            System.err.println("unexpected " + e);<br />
   </li>
<li>        } catch (InvocationTargetException e) {<br />
   </li>
<li>            System.err.println("unexpected " + e);<br />
   </li>
<li>        }   </li>
<li>  </li>
<li>//        Log.i("PullToRefreshListView", "historySize:" + historySize);  </li>
<li>//        Log.i("PullToRefreshListView", "pointerCount:" + pointerCount);  </li>
<li>//        Log.i("PullToRefreshListView", "  ");  </li>
<li>//        Log.i("PullToRefreshListView", "  ");  </li>
<li>//        Log.i("PullToRefreshListView", "  ");  </li>
<li>  </li>
<li>        for (int h = 0; h &lt; historySize; h++) {<br />
   </li>
<li>            for (int p = 0; p &lt; pointerCount; p++) {<br />
   </li>
<li>                if (mRefreshState == RELEASE_TO_REFRESH) {<br />
   </li>
<li>                    if (isVerticalFadingEdgeEnabled()) {<br />
   </li>
<li>                        setVerticalScrollBarEnabled(false);<br />
   </li>
<li>                    }   </li>
<li>  </li>
<li>                    int historicalY = 0;<br />
   </li>
<li>                    try {<br />
   </li>
<li>                        // For Android &gt; 2.0  </li>
<li>                        Method method = MotionEvent.class.getMethod(<br />
   </li>
<li>                                "getHistoricalY", Integer.TYPE, Integer.TYPE);<br />
   </li>
<li>                        historicalY = ((Float) method.invoke(ev, p, h)).intValue();   </li>
<li>                    } catch (NoSuchMethodException e) {<br />
   </li>
<li>                        // For Android &lt; 2.0  </li>
<li>                        historicalY = (int) (ev.getHistoricalY(h));<br />
   </li>
<li>                    } catch (IllegalArgumentException e) {<br />
   </li>
<li>                        throw e;<br />
   </li>
<li>                    } catch (IllegalAccessException e) {<br />
   </li>
<li>                        System.err.println("unexpected " + e);<br />
   </li>
<li>                    } catch (InvocationTargetException e) {<br />
   </li>
<li>                        System.err.println("unexpected " + e);<br />
   </li>
<li>                    }   </li>
<li>  </li>
<li>                    // Calculate the padding to apply, we divide by 1.7 to  </li>
<li>                    // simulate a more resistant effect during pull.  </li>
<li>                    int topPadding = (int) (((historicalY + mLastMotionY)<br />
   </li>
<li>                            + mRefreshViewHeight) / 1.7);<br />
   </li>
<li>  </li>
<li>                    mRefreshView.setPadding(   </li>
<li>                            mRefreshView.getPaddingLeft(),   </li>
<li>                            mRefreshView.getPaddingTop(),   </li>
<li>                            mRefreshView.getPaddingRight(),   </li>
<li>                            topPadding);   </li>
<li>                }   </li>
<li>            }   </li>
<li>        }   </li>
<li>    }   </li>
<li>  </li>
<li>    /**  </li>
<li>     * Sets the header padding back to original size. </li>
<li>     */  </li>
<li>    private void resetHeaderPadding() {<br />
   </li>
<li>        mRefreshView.setPadding(   </li>
<li>                mRefreshView.getPaddingLeft(),   </li>
<li>                mRefreshView.getPaddingTop(),   </li>
<li>                mRefreshView.getPaddingRight(),   </li>
<li>                mRefreshOriginalBottomPadding);   </li>
<li>    }   </li>
<li>  </li>
<li>    /**  </li>
<li>     * Resets the header to the original state.  </li>
<li>     */  </li>
<li>    private void resetHeader() {<br />
   </li>
<li>        if (mRefreshState != TAP_TO_REFRESH) {<br />
   </li>
<li>            mRefreshState = TAP_TO_REFRESH;   </li>
<li>  </li>
<li>            resetHeaderPadding();   </li>
<li>  </li>
<li>            // Set refresh view text to the pull label  </li>
<li>            mRefreshViewText.setText(R.string.pull_to_refresh_tap_label);   </li>
<li>            // Replace refresh drawable with arrow drawable  </li>
<li>            mRefreshViewImage.setImageResource(R.drawable.ic_pulltorefresh_arrow);   </li>
<li>            // Clear the full rotation animation  </li>
<li>            mRefreshViewImage.clearAnimation();   </li>
<li>            // Hide progress bar and arrow.  </li>
<li>            mRefreshViewImage.setVisibility(View.GONE);   </li>
<li>            mRefreshViewProgress.setVisibility(View.GONE);   </li>
<li>        }   </li>
<li>    }   </li>
<li>  </li>
<li>    private void measureView(View child) {<br />
   </li>
<li>        ViewGroup.LayoutParams p = child.getLayoutParams();   </li>
<li>        if (p == null) {<br />
   </li>
<li>            p = new ViewGroup.LayoutParams(<br />
   </li>
<li>                    ViewGroup.LayoutParams.FILL_PARENT,   </li>
<li>                    ViewGroup.LayoutParams.WRAP_CONTENT);   </li>
<li>        }   </li>
<li>  </li>
<li>        int childWidthSpec = ViewGroup.getChildMeasureSpec(0,<br />
   </li>
<li>                0 + 0, p.width);<br />
   </li>
<li>        int lpHeight = p.height;<br />
   </li>
<li>        int childHeightSpec;<br />
   </li>
<li>        if (lpHeight &gt; 0) {<br />
   </li>
<li>            childHeightSpec = MeasureSpec.makeMeasureSpec(lpHeight, MeasureSpec.EXACTLY);   </li>
<li>        } else {<br />
   </li>
<li>            childHeightSpec = MeasureSpec.makeMeasureSpec(0, MeasureSpec.UNSPECIFIED);<br />
   </li>
<li>        }   </li>
<li>        child.measure(childWidthSpec, childHeightSpec);   </li>
<li>    }   </li>
<li>  </li>
<li>    @Override  </li>
<li>    public void onScroll(AbsListView view, int firstVisibleItem,<br />
   </li>
<li>            int visibleItemCount, int totalItemCount) {<br />
   </li>
<li>//        Log.i("PullToRefreshListView", "firstVisibleItem:" + firstVisibleItem);  </li>
<li>//        Log.i("PullToRefreshListView", "visibleItemCount:" + visibleItemCount);  </li>
<li>//        Log.i("PullToRefreshListView", "totalItemCount:" + totalItemCount);  </li>
<li>//        Log.i("PullToRefreshListView", "");  </li>
<li>//        Log.i("PullToRefreshListView", "");  </li>
<li>//        Log.i("PullToRefreshListView", "");  </li>
<li>        // When the refresh view is completely visible, change the text to say  </li>
<li>        // "Release to refresh..." and flip the arrow drawable.  </li>
<li>        if (mCurrentScrollState == SCROLL_STATE_TOUCH_SCROLL<br />
   </li>
<li>                &amp;&amp; mRefreshState != REFRESHING) {   </li>
<li>            if (firstVisibleItem + visibleItemCount == totalItemCount) {<br />
   </li>
<li>                mRefreshViewImage.setVisibility(View.VISIBLE);   </li>
<li>                if ((<br />
   </li>
<li>                        mRefreshView.getTop() &lt;= getMeasuredHeight() - mRefreshViewHeight)   </li>
<li>                        &amp;&amp; mRefreshState != RELEASE_TO_REFRESH) {   </li>
<li>                    mRefreshViewText.setText(R.string.pull_to_refresh_release_label);   </li>
<li>                    mRefreshViewImage.clearAnimation();   </li>
<li>                    mRefreshViewImage.startAnimation(mFlipAnimation);   </li>
<li>                    mRefreshState = RELEASE_TO_REFRESH;   </li>
<li>                } else if (<br />
   </li>
<li>                        mRefreshView.getTop() &gt;getMeasuredHeight() - 20 - mRefreshViewHeight<br />
   </li>
<li>                        &amp;&amp; mRefreshState != PULL_TO_REFRESH) {   </li>
<li>                    mRefreshViewText.setText(R.string.pull_to_refresh_pull_label);   </li>
<li>                    if (mRefreshState != TAP_TO_REFRESH) {<br />
   </li>
<li>                        mRefreshViewImage.clearAnimation();   </li>
<li>                        mRefreshViewImage.startAnimation(mReverseFlipAnimation);   </li>
<li>                    }   </li>
<li>                    mRefreshState = PULL_TO_REFRESH;   </li>
<li>                }   </li>
<li>            } else {<br />
   </li>
<li>                mRefreshViewImage.setVisibility(View.GONE);   </li>
<li>                resetHeader();   </li>
<li>            }   </li>
<li>        } else if (mCurrentScrollState == SCROLL_STATE_FLING<br />
   </li>
<li>                &amp;&amp; firstVisibleItem + visibleItemCount == totalItemCount   </li>
<li>                &amp;&amp; mRefreshState != REFRESHING) {   </li>
<li>            //setSelection(1);   </li>
<li>//            Log.i("PullToRefreshListView", "Selection:" + (totalItemCount - visibleItemCount));  </li>
<li>////            setSelection(getSelectedItemPosition() - 2);  </li>
<li>//   </li>
<li>            setSelection((getFirstVisiblePosition() - 1));<br />
   </li>
<li>        }   </li>
<li>  </li>
<li>        if (mOnScrollListener != null) {<br />
   </li>
<li>            mOnScrollListener.onScroll(view, firstVisibleItem,   </li>
<li>                    visibleItemCount, totalItemCount);   </li>
<li>        }   </li>
<li>    }   </li>
<li>  </li>
<li>    @Override  </li>
<li>    public void onScrollStateChanged(AbsListView view, int scrollState) {<br />
   </li>
<li>        mCurrentScrollState = scrollState;   </li>
<li>  </li>
<li>        if (mOnScrollListener != null) {<br />
   </li>
<li>            mOnScrollListener.onScrollStateChanged(view, scrollState);   </li>
<li>        }   </li>
<li>    }   </li>
<li>  </li>
<li>    public void prepareForRefresh() {<br />
   </li>
<li>        resetHeaderPadding();   </li>
<li>  </li>
<li>        mRefreshViewImage.setVisibility(View.GONE);   </li>
<li>        // We need this hack, otherwise it will keep the previous drawable.  </li>
<li>        mRefreshViewImage.setImageDrawable(null);<br />
   </li>
<li>        mRefreshViewProgress.setVisibility(View.VISIBLE);   </li>
<li>  </li>
<li>        // Set refresh view text to the refreshing label  </li>
<li>        mRefreshViewText.setText(R.string.pull_to_refresh_refreshing_label);   </li>
<li>  </li>
<li>        mRefreshState = REFRESHING;   </li>
<li>    }   </li>
<li>  </li>
<li>    public void onRefresh() {<br />
   </li>
<li>        Log.d(TAG, "onRefresh");<br />
   </li>
<li>  </li>
<li>        if (mOnRefreshListener != null) {<br />
   </li>
<li>            mOnRefreshListener.onRefresh();   </li>
<li>        }   </li>
<li>    }   </li>
<li>  </li>
<li>    /**  </li>
<li>     * Resets the list to a normal state after a refresh. </li>
<li>     * @param lastUpdated Last updated at.  </li>
<li>     */  </li>
<li>    public void onRefreshComplete(CharSequence lastUpdated) {<br />
   </li>
<li>        setLastUpdated(lastUpdated);   </li>
<li>        onRefreshComplete();   </li>
<li>    }   </li>
<li>  </li>
<li>    /**  </li>
<li>     * Resets the list to a normal state after a refresh. </li>
<li>     */  </li>
<li>    public void onRefreshComplete() {        <br />
   </li>
<li>        Log.d(TAG, "onRefreshComplete");<br />
   </li>
<li>  </li>
<li>        resetHeader();   </li>
<li>  </li>
<li>        // If refresh view is visible when loading completes, scroll down to  </li>
<li>        // the next item.   </li>
<li>        if (mRefreshView.getBottom() &gt; 0) {<br />
   </li>
<li>            invalidateViews();   </li>
<li>            //setSelection(1);   </li>
<li>        }   </li>
<li>    }   </li>
<li>  </li>
<li>    /**  </li>
<li>     * Invoked when the refresh view is clicked on. This is mainly used when </li>
<li>     * there's only a few items in the list and it's not possible to drag the </li>
<li>     * list.  </li>
<li>     */  </li>
<li>    private class OnClickRefreshListener implements OnClickListener {<br />
   </li>
<li>  </li>
<li>        @Override  </li>
<li>        public void onClick(View v) {<br />
   </li>
<li>            if (mRefreshState != REFRESHING) {<br />
   </li>
<li>                prepareForRefresh();   </li>
<li>                onRefresh();   </li>
<li>            }   </li>
<li>        }   </li>
<li>  </li>
<li>    }   </li>
<li>  </li>
<li>    /**  </li>
<li>     * Interface definition for a callback to be invoked when list should be </li>
<li>     * refreshed.  </li>
<li>     */  </li>
<li>    public interface OnRefreshListener {<br />
   </li>
<li>        /**  </li>
<li>         * Called when the list should be refreshed. </li>
<li>         * &lt;p&gt;  </li>
<li>         * A call to {@link PullToRefreshListView #onRefreshComplete()} is </li>
<li>         * expected to indicate that the refresh has completed. </li>
<li>         */  </li>
<li>        public void onRefresh();<br />
   </li>
<li>    }   </li>
<li>}  </li>
</ol>
<p><a href="http://dl.iteye.com/topics/download/66fdd377-4300-3b5c-a923-9c38de02343d" rel="external nofollow noreferrer">pulltorefresh.zip</a> (59.7<br />
 KB)</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 13:20:55</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android中listView的底部拖拉翻页的实现的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRZWDz.html" rel="bookmark">android中ListView数据刷新时的同步方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了android中ListView数据刷新时的同步方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQN0dZM.html" rel="bookmark">Android中ListView绑定CheckBox实现全选增加和删除功能&lpar;DEMO&rpar;&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ListView控件还是挺复杂的,也是项目中应该算是比较常用的了,所以写了一个小Demo来讲讲,主要是自定义adapter的用法,加了很多的判断等等等等-.我们先来看看实现的效果吧! 好的,我们新建一个项目LvCheckBox 我们事先先把这两个布局写好吧,一个是主布局,还有一个listview的item.xml,相信不用多说 activity_main.xml &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrVQWM.html" rel="bookmark">onitemclick-关于android中listview点击item没有反应</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于android中listview点击item没有反应 public class MapActivity extends BasePagerActivity { private MapView mMapView = null; private BaiduMap mBaiduMap; private ListView map_menu_lv; @Override protected void onCreate(Bundle savedInstanceState) { // TODO A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40yoYz.html" rel="bookmark">Android中listview显示界面其中一条item比另外的高</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Android中listview显示界面其中一条item比另外的高 在app开发过程中要求 listview显示页面中其中的一条item 比其他的item要高一倍 各位大牛们,提提建议 解决方案 两个不同item布局,通过重载adapter的getItemViewType,来实现布局切换 解决方案二: 写一个判断,如果某个item包含你要的值,就设置它的高度.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKRYab.html" rel="bookmark">android中listview中嵌套viewpager的焦点问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android中listview中嵌套viewpager的焦点问题 在android中,要实现listview中嵌套多个viewpager完成代码和图片后,会出现listview没有办法点击.求大神解决 解决方案 android中viewpager,scrollview.listview的嵌套问题android ListView 焦点问题解决ListView嵌套ViewPager滑动不了的问题 解决方案二: 我记得listview可以设置一个属性重新找回焦点 解决方案三: 自己了解Vi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3J2XJz.html" rel="bookmark">android开发-关于android中listview里面textview显示混乱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于android中listview里面textview显示混乱 哪位大神能帮我解决下面代码中的listview里面textview的显示混乱问题 纠结好久了 谢谢 复制可以直接执行 源文件: package com.example.listviewtest; import java.util.ArrayList; import android.os.Bundle; import android.app.Activity; import android.view.LayoutInfla			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0wovp.html" rel="bookmark">数据-android中listview中镶嵌一个listview后不能完全显示</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android中listview中镶嵌一个listview后不能完全显示 android中listview中镶嵌一个listview后不能完全显示数据是否跟android版本有关.. 我已经根据子列表的高度动态设置主列表的高度,并在android4.4上运行良好,但是在android4.2机子上还是不能显示 解决方案 按你的验证结果,可能是与 Android 系统的版本相关. 但具体还是要在不能正确显示的机子上调试一下,看看是什么原因导致不能正确显示的. 解决方案二: listview			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJqB5Vp.html" rel="bookmark">android 中listview中的edittext 如何让其输入特定值后自动跟新数据库？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android 中listview中的edittext 如何让其输入特定值后自动跟新数据库? android 中listview中的edittext 如何让其输入特定值后自动跟新数据库? 解决方案 写一个TextWatcher 作为监听事件,然后在监听事件里面对数据库进行更新操作. 可参考: http://blog.csdn.net/walker02/article/details/7234458 解决方案二: listView中的item有监听方法item.onItemClickLi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8K4Wb.html" rel="bookmark">Android中ListView Item布局优化技巧&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android中ListView Item布局优化技巧.分享给大家供大家参考,具体如下: 之前一直都不知道ListView有多种布局的优化方法,只能通过隐藏来实现,自己也知道效率肯定是很低的,但是也不知道有什么方法,这些天又查了一些资料,然后知道 其实google早就帮我们想好了优化方案了. 假设你的ListView Item有三种布局样式的可能:就比如很简单的显示一行字,要靠左,居中,靠右. 这时我们就可以在BaseAdapter里面重写两个方法: private static			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boRldz.html" rel="bookmark" class="title">DHCP协议简介</a>
					<div>
						DHCP 是 Dynamic Host Configuration Protocol 之缩写,它的前身是 BOOTP.BOOTP 原本是用于无磁碟主机连接的网路上面的:网路主机使用 BOOT ROM  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQk5Op.html" rel="bookmark" class="title">TAG标签在SEO优化中的作用</a>
					<div>
						1.TAG标签是什么 很多人还不了解沈阳SEO优化中TAG标签具体是什么东西,对网站沈阳SEO优化又会带来什么样的影响,首先我网站用的CMS里面已经有了添加TAG标签的功能,但是沈阳SEO优化一直以来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxDGjM.html" rel="bookmark" class="title">避免表格被撑开变形 用CSS实现的方法</a>
					<div>
						css 如何避免表格因为图片尺寸或者过长的英文字符而变形撑开,在CSS加入以下代码就可以防止,同时英文单词也会按单词断行,不是按字母这个.我想说的是这个在CSS2.0是不支持的,但是能解决一些实际问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw9ZvM.html" rel="bookmark" class="title">同时支持三个MySQL&plus;SQLite&plus;PDO的PHP数据库类</a>
					<div>
						  PHP学习教程文章简介: 同时支持三个MySQL+SQLite+PDO的PHP数据库类使用方法: // mysql connect $db = new SQL(mysql:host=localho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxmE0p.html" rel="bookmark" class="title">符合用户情感设计 QQ2010个性皮肤设计过程</a>
					<div>
						09年的电影缓缓的落下帷幕,以及新年伊始,轰轰烈烈催人癫狂的&lt;阿凡达&gt;.整年里,最让人我记忆深刻的还是&lt;飞屋历险记&gt;. Carl与Ellie被南美的那个名叫&quot;para ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M05PDp.html" rel="bookmark" class="title">通过&OpenCurlyDoubleQuote;SEO数据风向标&rdquo;分析表看搜索引擎优化</a>
					<div>
						大家好,我是Sure,第一次来A5首发此文,仅浅谈下这些天在关注百度快照更新和收录情况所了解到的一些数据来摸索下搜索引擎的规律,文笔不好,还望各位多多海涵! 相信经常使用站长工具的站长朋友应该知道有项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA0rLb.html" rel="bookmark" class="title">在STL中处理对象指针</a>
					<div>
						众所周知,STL的容器类是针对对象来进行存储管理的.虽然没有明确的限制不能在STL的容器类中包含指针,STL也不在乎您存放在容器中的对象还是指针.但仔细考虑STL的初衷,在容器类中使用指针是明显不合时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxr12b.html" rel="bookmark" class="title">ps动作怎么用</a>
					<div>
						1,首先打开动作面板点右边的下拉菜单如图1,选择载入动作 &lt;图1&gt; 2,选择要载入的动作文件 &lt;图2&gt; 3,载入后我们就可以在动作面板下面找到刚才载入的动作. &lt;图3&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxgrkb.html" rel="bookmark" class="title">word2010怎么给自定义快捷键</a>
					<div>
						时不时的,您可能会遇到需要在文档中插入小圆点.分割符什么的情况.举个例子:写地址时,希望能在地址间插个小圆点? 上图中的小圆点是怎么输入的呢? 其实很简单,键盘上 Tab 键上面那个键单击一下就行了. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3Nv6M.html" rel="bookmark" class="title">云计算：产业链合纵掘金企业级市场</a>
					<div>
						伴随着宽带市场引入民资.三大运营商换帅.提速降费.流量不清零.电信联通网络终端共建共享等重大事件,通信业2015年悄然走过,2016年产业大幕已经拉开. 在2015年,云计算更多触及社会的各个方面,将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWalVp.html" rel="bookmark" class="title">服务器-jboss 项目 部署 发布，基础问题？</a>
					<div>
						问题描述 jboss 项目 部署 发布,基础问题? 本人有一台阿里云服务器,安装了 jboss-4.2.3.GA,要 部署发布一个 web 项目,服务器启动了,但是,项目 访问不了,小弟是菜鸟,求大神 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrOj0M.html" rel="bookmark" class="title">c3p0-Tomcat在高并发的情况下，系统会很卡。。</a>
					<div>
						问题描述 Tomcat在高并发的情况下,系统会很卡.. 目前的情况是这样的,我现在有两台服务器,配置如下: 我的两台服务器,服务器一上有一台tomcat7运行,服务器二有一个tomcat7运行,并且这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWOYOp.html" rel="bookmark" class="title">刚接触pb9代码中的一些字段不了解是什么含义，望大神们指教</a>
					<div>
						问题描述 刚接触pb9代码中的一些字段不了解是什么含义,望大神们指教 string ls_userid ulong ul_size = 300 is_currentdirectory = fill(c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZv6Ob.html" rel="bookmark" class="title">小白自学教程：如何选择正确的防火墙</a>
					<div>
						本文讲的是 : 小白自学教程:如何选择正确的防火墙   , [IT168 评论]对于保护网络和数据免受内部和外部威胁,防火墙发挥着至关重要的作用.防火墙是将网络与互联网分开的虚拟墙;他们可过滤流量,限 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr0eoM.html" rel="bookmark" class="title">多线程-在添加Sleep&lpar;&rpar;后，程序运行正确，注掉错误</a>
					<div>
						问题描述 在添加Sleep()后,程序运行正确,注掉错误 // Parallel.cpp : 定义控制台应用程序的入口点. // #include &quot;stdafx.h&quot; #incl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7mYNp.html" rel="bookmark" class="title">阿里Java手册核心成员首次亮相</a>
					<div>
						&quot;西溪TV&quot;是阿里技术策划.面向技术人的语音直播公益节目,旨在通过互动交流的方式为技术人分享行业前沿趋势.技术干货和技术人生. 节目采取收费形式,金额以9.9为主.所得收入将全部捐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60aEOz.html" rel="bookmark" class="title">facebook第三方登陆</a>
					<div>
						问题描述 最近在做facebook第三方登陆现在测试的时候遇到这个问题:&quot;所提供的网址不被应用程序配置所接纳.:应用程序的设置不允许一个或多个所提供的链接.它必须与网站的网址或Canvas的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0aEjM.html" rel="bookmark" class="title">MOOC巨头Coursera将提供与教授线上视频讨论功能</a>
					<div>
						摘要: 拥有海量公开课程视频的Coursera近期宣布他们正在探索为学生提供在线视频讨论的功能,学生除了视频课之外,还可以与教授通过视频的实时沟通和讨论,甚至于在线举办一个小型的研 拥有海量公开课程视 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkGB8M.html" rel="bookmark" class="title">海外访问需求激增百度世界杯预测连夜上线英文版</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 多家国外著名社交网站纷纷在世界杯预 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7Q2kb.html" rel="bookmark" class="title">asp之字符串函数示例&lowbar;应用技巧</a>
					<div>
						asp之字符串函数示例用字符串函数对字符串进行截头去尾.大小写替换等操作. 函数 语法 功能 Len Len(string|varname) 返回字符串内字符的数目,或是存储一变量所需的字节数. Tr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2v5OM.html" rel="bookmark" class="title">IOS textField限制字节长度&lowbar;IOS</a>
					<div>
						OC语言中,NSString类型的字符串,视英文字母和汉字都为一个长度(string.length把一个汉字也当做一个长度),而实际上,一个英文字母只占用1个字节,一个汉字占用2个字节. 有时又有需求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv9ldM.html" rel="bookmark" class="title">jquery动态改变div宽度和高度&lowbar;jquery</a>
					<div>
						完整代码: 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkqd6p.html" rel="bookmark" class="title">c&num; winfrom 给 用户控件里面传值</a>
					<div>
						问题描述 一个用户控件里面有个textbox,这个用户控件加到了一个form1里面.在form1里传个值到用户控件里的textbox怎么实现? 解决方案 解决方案二:(1)UserControl.Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxEq5Op.html" rel="bookmark" class="title">Cocos开发中性能优化工具介绍之Xcode中Instruments工具使用</a>
					<div>
						Instruments是动态分析工具它与Xcode集成在一起可以在Xcode中通过菜单Product→Profile启动.启动如图所示Instruments有很多跟踪模板可以动态分析和跟踪内存.CPU ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY0A9b.html" rel="bookmark" class="title">android 集成单聊</a>
					<div>
						问题描述 有没有个人集成好的单聊Demo,求助~~~ 解决方案 http://www.easemob.com/downloads 这个你可以看下这个下载链接中的 simpledemo了,里面是基于单聊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8NAkb.html" rel="bookmark" class="title">&lbrack;cocos2dx&rsqb;TestCpp框架源码分析</a>
					<div>
						Cocos2d-x2.0 TestCpp框架源码分析                     [本版教程使用的Cocos2d-x版本为cocos2d-2.0-x-2.0.2]          好的引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8G2eoM.html" rel="bookmark" class="title">联想发布首款智能本采用高通芯片</a>
					<div>
						联想发布首款智能本 北京时间1月5日下午消息,据国外媒体报道,联想集团周一正式发布其首款智能本&quot;Skylight&quot;.这是一款不同于传统的Wintel架构笔记本电脑的移动设备. Sk ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjonrmM.html" rel="bookmark" class="title">人脸识别实践</a>
					<div>
						前言   很多人都认为人脸识别是一项非常难以实现的工作,看到名字就害怕,然后心怀忐忑到网上一搜,看到网上N页的教程立马就放弃了.这些人里包括曾经的我自己.其实如果如果你不是非要深究其中的原理,只是要实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeJG7p.html" rel="bookmark" class="title">微博网站饭否505天之后重启服务 邀请注册中</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 &quot;开饭了.&quot;国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boOd5vb.html" rel="bookmark" class="title">myeclipse2014-MyEclipse2014 没有add spring capabilities菜单 怎么能把它加载上去</a>
					<div>
						问题描述 MyEclipse2014 没有add spring capabilities菜单 怎么能把它加载上去 MyEclipse2014 没有add spring capabilities菜单 怎 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
